Bug 1118916 - domain admin cannot change gear size
Summary: domain admin cannot change gear size
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 22:40 UTC by Aleksandar Kostadinov
Modified: 2015-05-15 00:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-14 09:39:12 UTC


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2014-07-11 22:40:08 UTC
using devenv_4959

>      [00:54:36] INFO> Shell Command: rhc member list --namespace newdomain --rhlogin user2 -p 'pass2' --insecure --server ec2-54-197-166-250.compute-1.amazonaws.com
>      Login Role          Type
>      ----- ------------- ----
>      user  admin (owner) user
>      user2 admin         user
>      
>      [00:54:39] INFO> Exit Status: 0
>      [00:54:39] INFO> Shell Command: rhc domain configure --no-allowed-gear-sizes --namespace newdomain --rhlogin user2 -p 'pass2' --insecure --server ec2-54-197-166-250.compute-1.amazonaws.com
>      Updating domain configuration ... You are not permitted to perform this action (change_gear_sizes on domain)

I assume this has worked in the past because it's in the available test scenarios we have but can't say when. I also don't have a case ID. It just seemed strange an admin cannot change gear sizes of domain and I'm filing a bug.

Comment 1 Liang Xia 2014-07-14 05:50:18 UTC
Hi Alex

This should not be a bug.

What can members do?
    View – Read-only access to the domain and its applications.
    Edit – Add, edit, control and delete applications in the domain, including SSH and Git access
    Administer – Everything except change allowed gear sizes and the domain name.

You can get above info by visiting https://$broker/app/console/domain/$domain


The domain owner may limit the gear sizes available to applications by using the '--allowed-gear-sizes' option.  If '--no-allowed-gear-sizes' is set, no applications can be created in the domain.  Older servers may not support this
option.

Thanks,
Liang

Comment 2 Aleksandar Kostadinov 2014-07-14 09:39:12 UTC
Thank you, the help in web UI suggest that is an intentional change. I'm closing the issue.


Note You need to log in before you can comment on or make changes to this bug.